<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:b="http://bootsfaces.net/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="template.xhtml">

	<f:metadata>

		<f:viewParam name="pessoaFisicaId"
			value="#{pessoaFisicaBean.pessoaFisicaId}" />
		<f:viewAction action="#{pessoaFisicaBean.carregarPessoaFisicaPelaId}"
			if="#{param.pessoaFisicaId != null}" />

	</f:metadata>


	<ui:define name="conteudo">

		<b:panel contentDisabled="false" id="paneGeral">

			<h:form id="formDados" collapsed="true">

				<b:panel>

					<b:commandButton id="gravarPessoa" value="Gravar Pessoa"
						oncomplete="hideMsg()" action="#{pessoaFisicaBean.gravar}"
						update="growl" look="primary" />

				</b:panel>

				<b:panel contentDisabled="false" id="paneDados" title="Dados Pessoa"
					collapsed="false">

					<b:panelGrid columns="3">

						<b:inputText label="Nome"
							value="#{pessoaFisicaBean.pessoaFisica.nome}" required="true"
							requiredMessage="Nome obrigatório"
							validatorMessage="Nome não pode ser superior a 50" maxlength="50"
							immediate="true" ajax="true">
							<f:passThroughAttribute name="placeholder" value="Nome Completo" />
						</b:inputText>

						<b:inputText label="CPF" id="cpf" mask="999.999.999-99"
							required="true" value="#{pessoaFisicaBean.pessoaFisica.cpf}"
							immediate="true" requiredMessage="CPF obrigatório">
							<f:passThroughAttribute name="placeholder" value="CPF" />
							<f:converter converterId="cpfConverter" />
							<f:validator validatorId="CpfValidator" />
						</b:inputText>

						<p:calendar id="german" label="Data Nascimento" mask="99/99/9999"
							value="#{pessoaFisicaBean.pessoaFisica.data_nascimento}"
							locale="pt" navigator="true" showOn="button" pattern="dd/MM/yyyy"
							required="true" requiredMessage="Data nascimento obrigatória">
							<f:convertDateTime type="date" pattern="dd/MM/yyyy" />
						</p:calendar>

						<b:datepicker label="Data Nascimento" mode="popup-icon"
							value="#{pessoaFisicaBean.pessoaFisica.data_nascimento}"
							mask="99/99/9999" required="true"
							requiredMessage="Data nascimento obrigatória"
							allow-input-toggle="true" icon-position="right"
							side-by-side="true" show-date="true" show-time="false"
							show-icon="true" use-current="true" changeYear="true"
							change-month="true">
							<f:convertDateTime type="date" pattern="dd/MM/yyyy" />
						</b:datepicker>

					</b:panelGrid>

					<b:panelGrid columns="2">

						<b:inputText id="nome_mae"
							value="#{pessoaFisicaBean.pessoaFisica.nome_mae}"
							label="Nome Mãe" required="false">
							<f:ajax event="blur" render="message" />
							<f:passThroughAttribute name="placeholder"
								value="Insira o nome de sua mãe" />
						</b:inputText>

						<b:inputText id="rg"
							value="#{pessoaFisicaBean.pessoaFisica.registro_geral}"
							label="RG" required="false">
							<f:ajax event="blur" render="message" />
							<f:convertNumber integerOnly="true" />
							<f:passThroughAttribute name="placeholder" value="RG" />
						</b:inputText>

						<b:selectOneMenu id="std_civil"
							value="#{pessoaFisicaBean.pessoaFisica.std_civil}"
							placeholder="ESTADO CIVIL" required="true" label="Estado Civil">
							<f:facet name="append">
								<b:iconAwesome name="list" />
							</f:facet>
							<!--  <f:converter converterId="estadoCivilConverter" />-->
							<f:selectItem itemLabel="SOLTEIRO" itemValue="0" />
							<f:selectItem itemLabel="CASADO" itemValue="1" />
							<f:selectItem itemLabel="SEPARADO" itemValue="2" />
							<f:selectItem itemLabel="VIUVO" itemValue="3" />
							<f:selectItem itemLabel="UNIÃO ESTAVEL" itemValue="4" />
							<f:ajax event="blur" render="message" />
						</b:selectOneMenu>

						<b:inputText id="naturalidade"
							value="#{pessoaFisicaBean.pessoaFisica.naturalidade}"
							label="Naturalidade">
							<f:ajax event="blur" render="message" />
							<f:passThroughAttribute name="placeholder"
								value="Insira sua cidade de nascimento" />
						</b:inputText>

					</b:panelGrid>

				</b:panel>

			</h:form>

			<h:form id="formContato">

				<b:panel title="Contato Pessoa" id="panelContato" collapsed="false">

					<b:panelGrid columns="1">

						<b:selectOneMenu label="Tipo Contato" id="id_tipo_contato"
							value="#{contatoPessoaBean.contatoPessoa.tipo_contato}"
							immediate="true" update="valorContato">
							<f:facet name="append">
								<b:icon name="list" />
							</f:facet>
							<f:selectItem itemLabel="TELEFONE CELULAR" itemValue="0" />
							<f:selectItem itemLabel="EMAIL" itemValue="1" />
							<f:selectItem itemLabel="TELEFONE RESIDENCIAL" itemValue="2" />
							<f:selectItem itemLabel="TELEFONE COMERCIAL" itemValue="3" />
							<f:selectItem itemLabel="WHATSAPP" itemValue="4" />
							<f:selectItem itemLabel="FACEBOOK" itemValue="5" />

						</b:selectOneMenu>

					</b:panelGrid>

					<b:panelGrid columns="1" id="valorContato">

						<b:inputText id="id_valor_contato" class="value_contato"
							label="#{contatoPessoaBean.contatoPessoa.label_contato}"
							mask="#{contatoPessoaBean.contatoPessoa.mask_contato}"
							value="#{contatoPessoaBean.contatoPessoa.valor_contato}"
							required="true" immediate="true"
							requiredMessage="INSIRA O #{contatoPessoaBean.contatoPessoa.label_Upper_contato} DO CONTATO">
							<f:facet name="append">
								<b:icon
									name="#{contatoPessoaBean.contatoPessoa.icon_contato}"
									size="lg" />
							</f:facet>
							<f:passThroughAttribute name="placeholder"
								value="#{contatoPessoaBean.contatoPessoa.label_Upper_contato}" />
						</b:inputText>

					</b:panelGrid>


					<b:container fluid="true">
						<b:row style="algin:left">
							<b:column span="2" offset="4">
								<b:commandButton id="id_bt_add_contato" value="Adicionar"
									oncomplete="hideMsg()"
									action="#{pessoaFisicaBean.gravarContato(contatoPessoaBean.contatoPessoa)}"
									look="primary" size="sm"
									update="message, growl, formTableContato" resetValues="true"
									icon-spin="true" iconAwesome="fa-check" style="width:100%" />
							</b:column>

							<b:column span="2">
								<b:button id="cancelarContato" value="Cancelar" look="danger"
									size="sm" onclick="$('.value_contato').val('');return false;"
									update="formContato" resetValues="true" on-spin="true"
									iconAwesome="fa-close" style="width:100%" ajax="false" />
							</b:column>
						</b:row>
					</b:container>

				</b:panel>

			</h:form>

			<h:form id="formTableContato">

				<b:dataTable value="#{pessoaFisicaBean.pessoaFisica.contatos}"
					var="contato" class="editableContatoTable" id="dataTableContatos"
					fixedHeader="false" responsive="true" searching="false"
					paginated='false' striped='false'>

					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="Tipo Contato" />
						</f:facet>
						<h:outputText value="#{contato.tipo_contato}">
						</h:outputText>
					</b:dataTableColumn>

					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="Contato" />
						</f:facet>
						<h:outputText value="#{contato.valor_contato}" />
					</b:dataTableColumn>

					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="Ações" />
						</f:facet>
						<b:commandButton action="#{contatoPessoaBean.carregar(contato)}"
							value="Editar" icon="edit">
							<f:ajax execute="@this" render="formContato" />
						</b:commandButton>

						<b:commandButton value="Delete" icon="trash"
							action="#{pessoaFisicaBean.removerContato(contato)}">
							<f:ajax execute="@this" render="formTableContato" />
						</b:commandButton>
					</b:dataTableColumn>

				</b:dataTable>

			</h:form>

		</b:panel>

	</ui:define>

</ui:composition>

</html>